function [bestX,bestFx] = randomSearchPade(fx,LbP,UbP,LbQ,UbQ,MaxIters)
%RANDOMSEARCH Summary of this function goes here
%   Detailed explanation goes here
  bestFx = 1e99;
  nP = length(LbP);
  nQ = length(LbQ);
  bestX = 1e+99+zeros(nP+nQ,1);
  for irun=1:2
    iter = 0;
    while iter < MaxIters
      iter = iter + 1;
      XP = LbP + (UbP - LbP).*rand(1,nP);
      XQ = LbQ + (UbQ - LbQ).*rand(1,nQ);
      X = [XP XQ];
      f = fx(X);
      if f < bestFx
        bestFx = f;
        bestX = X;
        k = iter + (irun-1) *MaxIters;
        fprintf("%7i: Fx = %e, X=[", k, bestFx);
        fprintf("%f, ", X)
        fprintf("]\n");
      end
    end

    bestXQ = bestX(1:nQ);
    bestXP = bestX(1+nQ:end);
    delta = 0.15;
    LbP = bestXP - delta;
    UbP = bestXP + delta;
    LbQ = bestXQ - delta;
    UbQ = bestXQ+ delta;  
    MaxIters = fix(MaxIters/2);
  end
end

